dpkg-deb(1)

NAZWA
dpkg-deb - narzędzie obsługi plików archiwum Debiana (.deb)

SKŁADNIA
dpkg-deb -b|--build katalog [archiwum|katalog]
dpkg-deb -I|--info archiwum [nazwa-pliku-kontrolnego ..]
dpkg-deb -f|--field archiwum [nazwa-pola-kontrolnego ...]
dpkg-deb -c|--contents archiwum
dpkg-deb -W|--show [--showformat=format] archiwum
dpkg-deb -x|--extract|-X|--vextract archiwum katalog
dpkg-deb -e|--control katalog archiwum
dpkg-deb --fsys-tarfile archiwum

OPIS
dpkg-deb tworzy, rozpakowuje i podaje informacje o plikach archiwum (czyli pakietach) Debiana. Do instalowania i usuwania pakietów z systemu służy polecenie dpkg. Ponadto można skorzystać z dpkg-deb wywołując dpkg z odpowiednią opcją, która zostanie przekazana do dpkg-deb. dpkg uruchomi dpkg-deb i wykona żądaną operację.

OPCJE DZIAŁANIA

--build, -b
    Tworzy archiwum Debiana z plików zawartych w katalogu. katalog musi zawierać podkatalog o nazwie DEBIAN, w którym zawarte są pliki kontrolne, takie jak np. control. Ten katalog nie pojawi się w archiwum binarnym pakietu, tylko zostanie umieszczony jako informacje kontrolne pakietu, które opisują właściwości pakietu. Można podać poziom kompresji, używając opcji -z#. dpkg-deb przekaże tę opcję programowi gzip. Jeśli pominięto opcję --nocheck, dpkg-deb odczyta plik DEBIAN/control i sprawdzi, czy nie występują w nim błędy składniowe lub inne problemy, a następnie wyświetli nazwę pakietu, który jest tworzony. dpkg-deb ponadto sprawdzi prawa skryptów instalacyjnych i innych plików znajdujących się w katalogu DEBIAN. Jeśli podana została nazwa archiwum to dpkg-deb zapisze pakiet tą nazwą. Jeżeli taki pakiet już istnieje, zostanie on nadpisany. Jeśli drugim argumentem jest katalog, to dpkg-deb zapisze pakiet pod nazwą katalog/pakiet_wersja_arch.deb, lub katalog/pakiet_wersja.deb, jeśli nie zostało określone pole Architecture w pliku kontrolnym. Gdy podany jest katalog, to nie może zostać użyta opcja --no-check, ponieważ dpkg-deb musi odczytać plik kontrolny, aby rozpoznać nazwę i wersję pakietu.

--info, -I
    Dostarcza informacji o pakiecie. Gdy nie podano żadnej nazwy-pliku-kontrolnego, wyświetlana jest informacja o zawartości pakietu oraz zestawienie wykorzystanych plików kontrolnych. W razie podania nazwy-pliku-kontrolnego, dpkg-deb wyświetli zawartość tego pliku. Jeśli ten plik nie istnieje, wyświetlony zostanie komunikat błędu na stderr i program zakończy się z kodem błędu 2.

--show, -W
    Wyświetla informację o pakiecie binarnym w formacie określonym opcją --showformat. W domyślnym formacie w każdej linii wyświetlana jest nazwa pakietu oraz - po znaku tabulacji - jego wersja.

--field, -f
    Wyświetla zawartość pliku kontrolnego o nazwie control. Jeśli nie podano żadnej nazwy-pola-kontrolnego, to wyświetlana jest zawartość całego pliku control. Jeśli podano nazwę-pola-kontrolnego, to dpkg-deb wyświetli jej zawartość. Gdy podano więcej niż jedną nazwę-pola-kontrolnego, to dpkg-deb wyświetli pola wraz z nazwą (oraz dwukropkiem i spacją) w takiej kolejności, w jakiej są one w pliku kontrolnym. Dla nieodnalezionych pól kontrolnych nie wyświetlane są komunikaty błędów.

--contents, -c
    Wyświetla zawartość archiwum. Wydruk jest podany w postaci, jaką generuje polecenie tar.

--extract, -x, --vextract, -X
    Rozpakowuje zawartość archiwum do podanego katalogu. --vextract (-X) wyświetla nazwy plików, które są rozpakowywane, zaś --extract (-x) rozpakowuje pliki bez podawania żadnych komunikatów, prócz komunikatów błędów. Proszę zauważyć, że rozpakowanie pakietu w katalogu głównym nie jest odpowiednikiem zainstalowania pakietu! Do tego celu służy wyłącznie polecenie dpkg. Jeśli wskazany katalog nie istnieje, zostanie utworzony.

--fsys-tarfile
    Rozpakowuje pliki z archiwum i wysyła je na standardowe wyjście w postaci formatu polecenia tar. Gdy ta operacja zostanie połączona z tar'em, możliwe jest rozpakowanie tylko wybranych plików z archiwum.

--control, -e
    Rozpakowuje pliki kontrolne pakietu do podanego katalogu. Jeśli katalog nie został określony, pliki są rozpakowywane do podkatalogu DEBIAN w katalogu bieżącym. W razie potrzeby, katalog docelowy będzie utworzony.

--help, -h
    Wyświetla informacje o sposobie użycia dpkg-deb, podając zestawienie jego opcji.

--version
    Wyświetla informacje o numerze wersji dpkg-deb.

--licence
    Wyświetla informacje o licencji dpkg-deb oraz braku jego gwarancji. (Obsługiwany jest także amerykański sposób pisowni --license.)

INNE OPCJE

--showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego listowanego pakietu. Argumentem jest łańcuch znaków, który może się odnosić do dowolnego pola pliku stanu w postaci "${nazwa-pola}". Listę nazw poprawnych pól można łatwo wygenerować, używając opcji -I na tym samym pakiecie. Pełne wyjaśnienie opcji formatowania (łącznie z sekwencjami cytowania i rozdzielaniem pól) można znaleźć w opisie opcji --showformat w dpkg-query(1). Domyślną wartością tego pola jest "${Package}\t${Version}\n".

--new
    Upewnia się, że dpkg-deb utworzy ,,nowy” format archiwum. Ta opcja jest domyślna.

--old
    Wymusza utworzenie przez dpkg-deb ,,starego” formatu archiwum. Ten format jest słabo obsługiwany przez narzędzia spoza dystrybucji Debiana i obecnie jest przestarzały. Ta opcja jest użyteczna jedynie w przypadku korzystania z wersji dpkg wcześniejszej niż 0.93.76 (wrzesień 1995), która była opublikowana jedynie dla i386 a.out.

--nocheck
    Powoduje, że polecenie dpkg-deb --build nie będzie sprawdzać zawartości archiwum. W ten sposób można utworzyć niepoprawny pakiet, jeśli zajdzie taka potrzeba.

--debug, -D
    Włącza opcję debuggera. Nie jest to zbyt interesujące.

BŁĘDY
dpkg-deb -I package1.deb package2.deb działa niepoprawnie. Brak sprawdzania autentyczności plików .deb. Tak naprawdę, to nawet nie jest sprawdzana suma kontrolna archiwum. Nie należy używać dpkg-deb do instalowania oprogramowania! Do tego celu należy skorzystać z dpkg, który zainstaluje poprawnie pliki i uruchomi potrzebne skrypty instalacyjne.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dselect(1).

AUTOR
dpkg-deb i ten podręcznik napisał Ian Jackson ((C)1995-1996), udostępnione na Ogólnej Licencji Publicznej GNU; BRAK JAKIEJKOLWIEK GWARANCJI. Szczegóły zobacz w /usr/share/doc/dpkg/copyright oraz /usr/share/common-licences/GPL.